# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ebics/love'

Gem::Specification.new do |spec|
  spec.name          = "ebics-love"
  spec.version       = Ebics::VERSION
  spec.authors       = ["Lars Brillert"]
  spec.email         = ["lars@railslove.com"]
  spec.summary       = %q{ruby implementation of the EBIC standard made by railslove}
  spec.description   = <<-description
    A ruby implementation of the EBIC standard (H004)

    It supports the complete initialization process comprising INI, HIA and HPB
    including the INI letter generation.

    Furthermore it offers support for the most common download types:
      STA HAA HTD HPD PKT HAC HKD C52 C53

    And the following upload orders:
      CD1 CDD CCT
  description

  spec.homepage      = "https://railslove.github.io/epics"
  spec.license       = "LGPL-3.0"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "epics", Ebics::VERSION
  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake"
end
